Package skyview.survey

# Class SurveyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
skyview.survey.SurveyException

All Implemented Interfaces:
  `Serializable`

public class SurveyException extends Exception
This class is used for exceptions problems with the data in a survey.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SurveyException()`
`SurveyException(String cause)`
`SurveyException(String cause, Exception prior)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SurveyException

public SurveyException()

### SurveyException

public SurveyException(String cause)

### SurveyException

public SurveyException(String cause, Exception prior)